RedCrawler API
Search V2

Interest Topics Search V2

Search Reddit's interest topic taxonomy by keyword. Returns topic IDs, names, titles, and types used for onboarding and recommendations. Useful for discovering

GET /api/v2/search/topics

Search Reddit's interest topic taxonomy by keyword. Returns topic IDs, names, titles, and types used for onboarding and recommendations. Useful for discovering topic categories and building recommendation flows.

Query parameters

NameTypeRequiredDescription
qstringYesSearch query for interest topics

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/search/topics?q=ai" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/search/topics?q=ai", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/search/topics?q=ai"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "data": {
      "interestTopicsSearch": {
        "edges": [
          {
            "node": {
              "id": "ai",
              "topic": {
                "name": "ai",
                "title": "Ai",
                "topicType": "search_user_query_interest_topic",
                "parents": null
              }
            }
          },
          {
            "node": {
              "id": "airpods",
              "topic": {
                "name": "airpods",
                "title": "Airpods",
                "topicType": "search_autocomplete_interest_topic",
                "parents": null
              }
            }
          },
          "\u2026 (14 more items)"
        ]
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:28.837121+00:00"
}

On this page